#include <stdio.h>
#include <stdlib.h>

#include "DataPlus.h"

double total_amount;

process_record ()
{
    int result;

    double amount;

    if ((DP_compare_fields ("INVOICE LINE ITEMS",
                            "Territory Code",
                            "INVOICES",
                            "Territory Code") == 0) &&
        (DP_compare_fields ("INVOICE LINE ITEMS", "Store #",
                            "INVOICES", "Store #") == 0) &&
        (DP_compare_fields ("INVOICE LINE ITEMS", "Slip #",
                            "INVOICES", "Slip #") == 0))
        ;
    else
    if (result = DP_first_error ())
    {
        DP_perror ("Cannot match the Invoice", result);

        return (result);
    }
    else
        return (1);

    result = DP_get_field ("INVOICE LINE ITEMS",
                           "Amount",
                           &amount);

    if (result < 0)
    {
        DP_last_perror ("Cannot get the Amount field");

        return (result);
    }

    total_amount += amount;

    return (0);
}

post_invoice ()
{
    int result;

    result = DP_put_field ("2", "INVOICES", "Posted");

    if (result < 0)
    {
        DP_last_perror ("Cannot Post the invoice");

        return (result);
    }

    return (0);
}