#include <stdio.h>
#include <stdlib.h>

#include "DataPlus.h"

extern double total_amount;

process_an_invoice ()
{
    long result;

    total_amount = 0;

    result = find_an_invoice ("100789");

    if (result < 0)
        return (result);

    for (; ;)
    {
        result = DP_read_next_record ("INVOICE LINE ITEMS");

        if (result == END_OF_FILE)
            break;

        if (result < 0L)
        {
            DP_last_perror ("Cannot read INVOICE LINE ITEMS");

            return (result);
        }

        result = process_record ();

        if (result < 0)
            return (result);
    }

    printf ("Total Invoice Amount: %8.2f\n", total_amount);

    result = post_invoice ();

    if (result)
        return (result);

    result = DP_modify_record ("INVOICES");

    if (result < 0L)
        DP_last_perror ("Cannot post invoice");
    else
        printf ("Invoice successfully posted\n");

    return (result);
}